package generator

func AssignPoolGoT(g *Generator) {
	g.ClassPool = dragons
	g.DescriptionPool = quotes
	g.PlanPool = castles
	g.TagPool = ships
	g.MetadataPool = castles
	g.RequiresPool = ships
}

// All dragon names from A Song of Ice and Fire series by George R.R. Martin
var dragons = Pool{
	"Archonei",
	"Arrax",
	"Balerion",
	"Caraxes",
	"Dreamfyre",
	"Drogon",
	"Essovius",
	"Ghiscar",
	"Meleys",
	"Meraxes",
	"Morghul",
	"Rhaegal",
	"Seasmoke",
	"Sheepstealer",
	"Shrykos",
	"Silverwing",
	"Stormcloud",
	"Sunfyre",
	"Syrax",
	"Tyraxes",
	"Valryon",
	"Vermax",
	"Vermithor",
	"Vermithrax",
	"Vhagar",
	"Viserion",
}

// All ship names from A Song of Ice and Fire series by George R.R. Martin
var ships = Pool{
	"BlackWind",
	"BraveJoffrey",
	"Dagger",
	"DagonsFeast",
	"Esgred",
	"Fingerdancer",
	"Foamdrinker",
	"ForlornHope",
	"Fury",
	"GoldenRose",
	"GoldenStorm",
	"GreatKraken",
	"GreyGhost",
	"Grief",
	"Hardhand",
	"IronLady",
	"IronVengeance",
	"IronVictory",
	"IronWind",
	"IronWing",
	"KingRobertsHammer",
	"Kite",
	"KrakensKiss",
	"LadyJoanna",
	"LadyLyanna",
	"LadyOlenna",
	"Lamentation",
	"Leviathan",
	"Lioness",
	"Lionstar",
	"LordDagon",
	"LordQuellon",
	"LordRenly",
	"LordTywin",
	"LordVickon",
	"MaidensBane",
	"Nightflyer",
	"PrincessMarcella",
	"QueenMargaery",
	"ReapersWind",
	"RedJester",
	"RedTide",
	"SaltyWench",
	"SeaBitch",
	"SeaSong",
	"Seaswift",
	"SevenSkulls",
	"Shark",
	"Silence",
	"Silverfin",
	"Sparrowhawk",
	"SweetCersei",
	"Swiftin",
	"ThrallsBane",
	"Thunderer",
	"Warhammer",
	"WarriorWench",
	"WhiteWidow",
	"Woe",
}

// All castle names from A Song of Ice and Fire series by George R.R. Martin
var castles = Pool{
	"AcornHall",
	"Antlers",
	"Ashemark",
	"Ashford",
	"Bandallon",
	"TheBanefort",
	"Bitterbridge",
	"Blackcrown",
	"Blackhaven",
	"Blackmont",
	"BloodyGate",
	"BrightwaterKeep",
	"Bronzegate",
	"Castamere",
	"CasterlyRock",
	"CastleBlack",
	"CastleCerwyn",
	"CastleStokeworth",
	"CiderHall",
	"TheCitadel",
	"CleganesKeep",
	"Coldwater",
	"TheCrag",
	"Crakehall",
	"CrowsNest",
	"DeepDen",
	"DeepLake",
	"DeepwoodMotte",
	"Dragonstone",
	"TheDreadfort",
	"Eastwatch-by-the-Sea",
	"EvenfallHall",
	"TheEyrie",
	"Faircastle",
	"Feastfires",
	"Felwood",
	"FlintsFinger",
	"GhostHill",
	"Godsgrace",
	"GoldenTooth",
	"Goldengrove",
	"GrassyVale",
	"Greyguard",
	"GreywaterWatch",
	"GriffinsRoost",
	"Hammerhorn",
	"Harrenhal",
	"HaystackHall",
	"HeartsHome",
	"Hellholt",
	"Highgarden",
	"Highpoint",
	"Honeyholt",
	"HornHill",
	"Hornvale",
	"Hornwood",
	"Ironoaks",
	"Ironrath",
	"Karhold",
	"Kingsgrave",
	"LastHearth",
	"Lemonwood",
	"LongBarrow",
	"LongTable",
	"LongbowHall",
	"Mistwood",
	"MoatCailin",
	"TheNightfort",
	"Nightsong",
	"OldOak",
	"Oldcastle",
	"PalaceofJustice",
	"Pinkmaiden",
	"Pyke",
	"Queensgate",
	"RainHouse",
	"Ramsgate",
	"RaventreeHall",
	"RedKeep",
	"RedLake",
	"TheRedfort",
	"RillwaterCrossing",
	"Riverrun",
	"Rosby",
	"Runestone",
	"Saltshore",
	"Sandstone",
	"Sarsfield",
	"Seagard",
	"SealordsPalace",
	"TheShadowTower",
	"SharpPoint",
	"Silverhill",
	"Skyreach",
	"Starfall",
	"StoneHedge",
	"Stonedance",
	"Stonehelm",
	"StormsEnd",
	"Summerhall",
	"SunflowerHall",
	"Sunspear",
	"TarbeckHall",
	"TenTowers",
	"ThreeTowers",
	"TheTor",
	"TorrhensSquare",
	"Tumbleton",
	"TheTwins",
	"UnnamedBaelishcastle",
	"Uplands",
	"Vaith",
	"VulturesRoost",
	"TheWhispers",
	"Whitewalls",
	"WidowsWatch",
	"Winterfell",
	"Wyl",
	"Yronwood",
}

var quotes = Pool{
	"Never forget what you are, for surely the world will not. Make it your strength. Then it can never be your weakness.",
	"Black and white and grey, all the shades of truth.",
	"The grey sheep have closed their eyes, but the mastiff sees the truth. Old powers waken. Shadows stir. An age of wonder and terror will soon be upon us, an age for gods and heroes.",
	"When I was a boy, I dreamt that I could fly, he announced. When I woke, I couldn't... or so the maester said. But what if he lied?",
	"A reader lives a thousand lives before he dies. The man who never reads lives only one. The a mind needs books as a sword needs a whetstone, if it is to keep its edge.",
	"You're awful. I'm honest. It's the world that's awful.",
	"The waves may break upon the mountain, yet still they come, wave upon wave, and in the end only pebbles remain where once the mountain stood. And soon even the pebbles are swept away, to be ground beneath the sea for all eternity.",
	"All she felt was pity, and pity was death to desire.",
	"You will never find the eye with your fingers, Bran. You must search with your heart.",
	"Fear is what keeps a man alive in this world of treachery and deceit.",
	"A man will win one tourney, and fall quickly in the next. A slick spot in the grass may mean defeat, or what you ate for supper the night before. A change in the wind may bring the gift of victory.",
	"You should think less about the future and more about the pleasures at hand.",
	"The contents of my chamber pot are more able than Ser Harys.",
	"A few lantern bugs were coming out, their little lights blinking on and off. The green water was warm as tears, but there was no salt in it. It tasted of summer and mud and growing things.",
	"Swift as a deer. Quiet as a shadow. Quick as a snake. Calm as still water. Fear cuts deeper than swords.",
	"Strong as a bear. Fierce as a wolverine. Fear cuts deeper than swords. The man who fears losing has already lost. Fear cuts deeper than swords.",
	"White is for Starks. I'll drink red like a good Lannister.",
	"Under the sea, the fish eat us. I know, I know, oh, oh, oh.",
	"The drapes kept out the dust and heat of the streets, but they could not keep out disappointment.",
	"When men are starving and sick of fear, they look for a savior.",
	"Darkness will be your cloak, your shield, your mother's milk. Darkness will make you strong.",
}
